// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package qm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/qm"
)

/******************************************************************************
 *
 * @Description              : View的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var View_PlantNr = grmi.NewField("PlantNr", "QM_View.PlantNr", "plantnr", grmi.TypeInt)
var View_ViewId = grmi.NewField("ViewId", "QM_View.ViewId", "viewid", grmi.TypeString)
var View_Descr = grmi.NewField("Descr", "QM_View.Descr", "descr", grmi.TypeString)
var View_Picture = grmi.NewField("Picture", "QM_View.Picture", "picture", grmi.TypeString)
var View_Abrev = grmi.NewField("Abrev", "QM_View.Abrev", "abrev", grmi.TypeString)
var View_Width = grmi.NewField("Width", "QM_View.Width", "width", grmi.TypeInt)
var View_Height = grmi.NewField("Height", "QM_View.Height", "height", grmi.TypeInt)
var View_XLineColor = grmi.NewField("XLineColor", "QM_View.XLineColor", "xlinecolor", grmi.TypeString)
var View_YLineColor = grmi.NewField("YLineColor", "QM_View.YLineColor", "ylinecolor", grmi.TypeString)
var View_UseXYToggle = grmi.NewField("UseXYToggle", "QM_View.UseXYToggle", "usexytoggle", grmi.TypeBool)
var View_LastModify = grmi.NewField("LastModify", "QM_View.LastModify", "lastmodify", grmi.TypeDateTime)
var View_LastUser = grmi.NewField("LastUser", "QM_View.LastUser", "lastuser", grmi.TypeString)
var View_CreateTime = grmi.NewField("CreateTime", "QM_View.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : View的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var View = grmi.NewEntity(
	"QM_View",
	func() interface{} { return &model.View{} },
	map[string]grmi.Field{
		View_PlantNr.Name:     View_PlantNr,
		View_ViewId.Name:      View_ViewId,
		View_Descr.Name:       View_Descr,
		View_Picture.Name:     View_Picture,
		View_Abrev.Name:       View_Abrev,
		View_Width.Name:       View_Width,
		View_Height.Name:      View_Height,
		View_XLineColor.Name:  View_XLineColor,
		View_YLineColor.Name:  View_YLineColor,
		View_UseXYToggle.Name: View_UseXYToggle,
		View_LastModify.Name:  View_LastModify,
		View_LastUser.Name:    View_LastUser,
		View_CreateTime.Name:  View_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "Picture", "Abrev", "Width", "Height", "XLineColor", "YLineColor", "UseXYToggle", "LastUser"})
